Why Gemfury? Push, build, and install  RubyGems npm packages Python packages Maven artifacts PHP packages Go Modules Debian packages RPM packages NuGet packages

Repository URL to install this package:

Details    
Size: Mime:
.zb-el-menu {
  width: 100%;
}

/* === Wrap ===== */
.zb-el-menu > div:not(.znpb__server-element-loader--loading), .zb-menu {
  display: flex;
  width: 100%;
}

/* === Container ===== */
.zb-menu-container {
  width: 100%;
}

/* === List ===== */
/* Horizontal Orientation  */
.zb-menu-list.zb-orientation--horizontal {
  flex-wrap: wrap;
  align-items: center;
}

/* Vertical Orientation */
.zb-menu-list.zb-orientation--vertical {
  flex-direction: column;
}

/* Center Align */
.zb-menu-list.zb-align--center {
  justify-content: center;
}

.zb-menu-list.zb-orientation--vertical.zb-align--center {
  align-items: center;
  text-align: center;
}

/* Right Align */
.zb-menu-list.zb-align--end {
  justify-content: flex-end;
}

.zb-menu-list.zb-orientation--vertical.zb-align--end {
  align-items: flex-end;
  text-align: right;
}

/* Stretch Align */
.zb-menu:not(.zb-menu-mobile--active) .zb-menu-list.zb-orientation--horizontal.zb-align--stretch {
  justify-content: space-between;
}

.zb-menuIcon {
  order: 0;
  padding: 0 4px;
}
.zb-menuIcon--top > a > .zb-menuIcon {
  width: 100%;
  text-align: center;
}
.zb-menuIcon--right > a > .zb-menuIcon {
  order: 10;
}
.zb-menuIcon--bottom > a > .zb-menuIcon {
  order: 20;
  width: 100%;
  text-align: center;
}

.zb-menuBadge {
  order: 5;
  padding: 4px 8px;
  margin: 0 4px;
  font-size: 10px;
  line-height: 1;
  border-radius: 3px;
}

.zb-orientation--horizontal .zb-menuBadge {
  position: absolute;
  top: -3px;
  right: 5px;
  z-index: 10;
}

.zb-menuTitle {
  margin: 0 4px;
}

.zb-submenu-indicator {
  order: 15;
}

/* === Submenus ===== */
.zb-menu ul {
  margin: 0;
  list-style-type: none;
}

.zb-menu-list {
  display: flex;
  padding: 0;
}

.zb-menu .sub-menu {
  position: absolute;
  top: 100%;
  left: -999999px;
  z-index: 9999;
  min-width: 240px;
  padding: 0;
  white-space: nowrap;
  background-clip: padding-box;
  transition: opacity 0.12s ease-in, visibility 0.15s ease-in;
  opacity: 0;
  visibility: hidden;
}

.zb-menu .zb-mmContent {
  white-space: initial;
}

.zb-menu:not(.zb-menu-mobile--active) .sub-menu {
  background: #f1f1f1;
}

.zb-menu--accordion .sub-menu {
  position: static;
  display: none;
  opacity: 1;
  visibility: visible;
}

.zb-menu-list.zb-orientation--vertical .sub-menu {
  top: 0;
}

.zb-menu-list.zb-orientation--vertical.zb-align--end .sub-menu {
  right: 100%;
  left: auto;
}

.zb-menu .menu-item-has-children:hover > .sub-menu {
  left: 0;
  opacity: 1;
  visibility: visible;
}

.zb-menu .zb-menu-list.zb-orientation--vertical .menu-item-has-children:hover > .sub-menu {
  left: 100%;
}

.zb-menu ul.sub-menu .menu-item:hover > ul {
  top: 3px;
  left: 100%;
  opacity: 1;
}

/* No Space */
.zb-menu-list > li > .sub-menu.zb-submenu-noSpace--right {
  right: 0;
  left: auto;
}

.zb-menu .sub-menu.zb-submenu-noSpace--right {
  right: 100%;
  left: auto;
}

.zb-menu .sub-menu.zb-submenu-noSpace--right .sub-menu {
  top: 15px;
}

/* === List Item ===== */
.zb-menu li {
  margin: 0;
}

.zb-menu .menu-item-has-children {
  position: relative;
}

.zb-menu .zb-menuWidth--full > ul {
  width: 100vw;
}

.zb-submenu-indicator--flip .zb-menu-item--active > .menu-link .zb-submenu-indicator {
  transform: scale(-1);
}

.zb-menu-list.zb-orientation--vertical.zb-align--start .menu-item, .zb-menu-list.zb-orientation--vertical.zb-align--end .menu-item {
  width: 100%;
}

/* === Link ===== */
.zb-menu a {
  display: inline-flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  padding: 12px 20px;
  color: inherit;
  transition: 0.2s ease-in-out;
}

.zb-menu a, .zb-menu a:hover, .zb-menu a:active {
  position: relative;
  text-decoration: none;
}

.zb-menu li:hover > a, .zb-menu a:focus {
  color: #006dd2;
}

.zb-menu-list.zb-orientation--vertical a {
  justify-content: initial;
}

.zb-menu-list.zb-orientation--vertical.zb-align--center a {
  justify-content: center;
}

.zb-menu-list.zb-orientation--vertical.zb-align--end a {
  justify-content: flex-end;
}

/* === Indicator ===== */
.zb-submenu-indicator {
  margin-left: 4px;
  font-size: 12px;
  line-height: 1;
}

.zb-submenu-indicator--flip .zb-submenu-indicator {
  transition: transform 0.15s;
}

.zb-menu-list.zb-orientation--vertical.zb-align--start .zb-submenu-indicator {
  margin-left: auto;
}

.zb-menu-list.zb-orientation--vertical.zb-align--end .zb-submenu-indicator {
  order: -1;
  margin-right: auto;
  margin-left: 0;
}

/* ==================================== */
/* === Mobile Menu Trigger */
/* ==================================== */
.zb-menu-trigger {
  display: none;
  align-items: center;
  padding: 0;
  color: inherit;
  background: none;
  border: 0;
  cursor: pointer;
}

.zb-menu-trigger:hover, .zb-menu-trigger:focus {
  color: inherit;
  background: transparent;
  border: 0;
  outline: 0;
}

.zb-menu-mobile--active .zb-menu-trigger {
  display: flex;
}

.zb-menu-trigger[data-align=start] {
  margin-right: auto;
}

.zb-menu-trigger[data-align=center] {
  margin-right: auto;
  margin-left: auto;
}

.zb-menu-trigger[data-align=end] {
  margin-left: auto;
}

.zb-menu-trigger__text {
  margin-right: 10px;
}

.zb-menu-trigger__hamburger {
  position: relative;
  display: block;
  width: 18px;
  height: 14px;
}

.zb-menu-trigger__hamburger span {
  position: absolute;
  display: block;
  width: 100%;
  height: 2px;
  background-color: currentColor;
  border-radius: 4px;
  transition-duration: 0.15s;
  transition-property: transform;
  transition-timing-function: ease;
}

.zb-menu-trigger__hamburger span:first-child {
  top: 0;
}

.zb-menu-trigger__hamburger span:nth-child(2) {
  top: 50%;
  margin-top: -1px;
  transition-duration: 0.15s;
  transition-property: transform, opacity;
  transition-timing-function: ease;
}

.zb-menu-trigger__hamburger span:last-child {
  bottom: 0;
}

.zb-menu-trigger--active .zb-menu-trigger__hamburger span:first-child, .zb-menu-trigger--active .zb-menu-trigger__hamburger span:last-child {
  margin-top: -1px;
}

.zb-menu-trigger--active .zb-menu-trigger__hamburger span:first-child {
  top: 50%;
  transform: rotate(45deg);
}

.zb-menu-trigger--active .zb-menu-trigger__hamburger span:nth-child(2) {
  transition: none;
  opacity: 0;
}

.zb-menu-trigger--active .zb-menu-trigger__hamburger span:last-child {
  top: 50%;
  bottom: auto;
  transform: rotate(-45deg);
}

/* ==================================== */
/* === Mobile Menu */
/* ==================================== */
/* === Wrap ===== */
.zb-menu-mobile--active {
  position: relative;
  flex-direction: column;
}

/* === Container ===== */
.zb-menu-mobile--active .zb-menu-container {
  position: absolute;
  top: 100%;
  z-index: 99999;
  display: none;
}

.zb-menu-mobile--active.zb-menu-trigger--active .zb-menu-container {
  display: block;
}

/* === Submenus ===== */
.zb-menu-mobile--active .sub-menu {
  display: none;
}

.zb-menu-mobile--active .zb-menu--item--expand, .zb-menu--accordion .zb-menu--item--expand {
  position: static;
  display: block;
  opacity: 1;
  visibility: visible;
}

/* === List ===== */
.zb-menu-mobile--active .zb-menu-list {
  flex-direction: column;
  margin-top: 10px;
  background-color: #fff;
}

.zb-menu-mobile--active .zb-menu-list.zb-mAlign--start {
  align-items: flex-start;
  text-align: left;
}

.zb-menu-mobile--active .zb-menu-list.zb-mAlign--center {
  align-items: center;
  text-align: center;
}

.zb-menu-mobile--active .zb-menu-list.zb-mAlign--end {
  align-items: flex-end;
  text-align: right;
}

/* === List Item ===== */
.zb-menu-mobile--active .zb-align--start .menu-item, .zb-menu-mobile--active .zb-align--end .menu-item {
  width: 100%;
}

/* === Link ===== */
.zb-menu-mobile--active .zb-menu-list a {
  justify-content: initial;
}

.zb-menu-mobile--active .zb-menu-list.zb-mAlign--start a {
  justify-content: flex-start;
}

.zb-menu-mobile--active .zb-menu-list.zb-mAlign--center a {
  justify-content: center;
}

.zb-menu-mobile--active .zb-menu-list.zb-mAlign--end a {
  justify-content: flex-end;
}

.zb-menu-mobile--active .sub-menu a {
  font-size: 80%;
}

/* === Indicator ===== */
.zb-menu-mobile--active .zb-menu-list.zb-mAlign--start .zb-submenu-indicator {
  margin-left: auto;
}

.zb-menu-mobile--active .zb-menu-list.zb-mAlign--end .zb-submenu-indicator {
  order: -1;
  margin-right: auto;
  margin-left: 0;
}

.zb-menu-trigger--active.zb-menu--mobile--full-width .zb-menu-container {
  width: 100vw;
}

.bx-site {
  overflow-x: hidden;
}

.zb-menu .menu-item-has-children:focus-within > .sub-menu {
  left: unset;
  opacity: 1;
  visibility: visible;
}

.zb-menu .sub-menu .menu-item-has-children:focus-within > .sub-menu {
  top: 3px;
  left: 100%;
  opacity: 1;
  visibility: visible;
}